## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Perform Batch Operations in a Lexicon

**cURL**

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "operations": [
    {
      "op": "delete",
      "id": "<string>"
    }
  ]
}
'```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries"

payload = { "operations": [
        {
            "op": "delete",
            "id": "<string>"
        }
    ] }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript**

```javascript
const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({operations: [{op: 'delete', id: '<string>'}]})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'operations' => [
        [
                'op' => 'delete',
                'id' => '<string>'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Sample Response Codes

- **200**: Successfully ran the batch operations.
- **400**: Bad Request (Validation failed. Missing payload).
- **401**: Unauthorized.
- **403**: Forbidden.
- **404**: Not Found.

### Response Structure

```json
{
  "created": [
    "<string>"
  ],
  "updated": [
    "<string>"
  ],
  "deleted": [
    "<string>"
  ]
}
```

### Authorizations

**API Key**
- `X-API-Key`: string, required header to supply the API Key in the HTTP-Header.

### Headers

- **Accept**: Specifies the media type that the client expects in the response. Available options include: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default: `application/json`.

### Path Parameters

- **lexiconId**: string, required, the unique identifier for the Lexicon. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`.
